Bug 1841239 - ROKS: CVO not honoring exclude annotation for ClusterOperator resources
Summary: ROKS: CVO not honoring exclude annotation for ClusterOperator resources
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Cesar Wong
QA Contact: liujia
URL:
Whiteboard: IBMROKS
Depends On: 1838872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 17:13 UTC by Cesar Wong
Modified: 2020-09-22 06:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1838872
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 376 None closed Bug 1841239: Avoid pre-creating clusteroperators that should be excluded 2020-09-21 15:40:48 UTC

Description Cesar Wong 2020-05-28 17:13:28 UTC
+++ This bug was initially created as a clone of Bug #1838872 +++

Description of problem:
For the IBM ROKS use case, we rely on annotations in operator manifests to let the CVO know whether that manifest should be excluded. In 4.5.x releases, the CVO is ignoring that annotation for cluster operators and creating them anyway.

Version: 4.5 nightly

How reproducible:
Always

Steps to Reproduce:
1. Create a hosted control plane cluster with a 4.5 nightly release

Actual results:
Cluster operator resources that should be excluded such as machine-api-operator are getting created inside the cluster.

Expected results:
Cluster operator resources with the exclude annotation are not created on target cluster.

--- Additional comment from errata-xmlrpc on 2020-05-28 09:17:43 UTC ---

This bug has been added to advisory RHBA-2020:51809 by OpenShift Release Team Bot (ocp-build/buildvm.openshift.eng.bos.redhat.com@REDHAT.COM)

--- Additional comment from errata-xmlrpc on 2020-05-28 09:17:44 UTC ---

Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHBA-2020:51809-02
https://errata.devel.redhat.com/advisory/51809

--- Additional comment from errata-xmlrpc on 2020-05-28 09:17:52 UTC ---

This bug has been added to advisory RHBA-2020:51809 by OpenShift Release Team Bot (ocp-build/buildvm.openshift.eng.bos.redhat.com@REDHAT.COM)

Comment 1 Scott Dodson 2020-05-29 00:32:10 UTC
QE team,

master branch introduced the functionality to populate cluster operators early so that must-gather works properly before a cluster operator starts posting status back. That work was to be backported to 4.4 in https://github.com/openshift/cluster-version-operator/pull/348

However the original master branch introduced a problem for ROKS and thus the bug that this bug was clone from. So we're fixing the problem and backporting the feature in the same PR so as to not introduce a regression in 4.4. Hopefully during the course of verifying the upstream bug this is all made clear but please let us know if you have any questions.

Comment 2 Lalatendu Mohanty 2020-08-21 18:52:33 UTC
Moving to the next sprint as today is the end of sprint.

Comment 4 liujia 2020-09-14 02:15:38 UTC
Hi Cesar Wong
Could u verify it from IBM ROKS side and comment here? Then I will have regression test work from ocp side. Thx!

Comment 6 liujia 2020-09-18 00:48:58 UTC
From OCP side, both installation and upgrade against 4.4.0-0.nightly-2020-09-14-143910 work well. Waiting for the verify from IBM side.

Comment 8 Cesar Wong 2020-09-21 21:29:22 UTC
Verified on 4.4.0-0.nightly-2020-09-20-175714

Comment 9 liujia 2020-09-22 01:39:08 UTC
Since it's dropped from last advisory(4.4.0-0.nightly-2020-09-14-143910), so i will give a regression test on latest errata build 4.4.0-0.nightly-2020-09-20-175714.

Comment 10 liujia 2020-09-22 06:49:43 UTC
Regression test against 4.4.0-0.nightly-2020-09-20-175714 passed from OCP side too.


Note You need to log in before you can comment on or make changes to this bug.